class Pettanr.GroundColor extends Peta.Element
  url: '/ground_colors/'
  
  @singular: () ->
    'GroundColor'
  
  @plural: () ->
    'GroundColors'
  
  defaults: {
    id: null,
    code: 0,
  } 
  
  @has_picture: () ->
    false
  
  @pick_item_name: () ->
    ''
  
  panel: () ->
    new Pettanr.Cache.Retriever(Pettanr.Panel, @get('panel_id'))
  
  element_face: () ->
    new Pettanr.Views.GroundColor.ElementFace({element: this})
  
  initialize: (attr, options) ->
    super(attr, options)
    if @id
      @url = @url + @id
  
