class Pettanr.Views.OriginalPicture.Summary extends Pettanr.Views.Common.Summary
  className: 'op-smy'
  
  initialize: (options) ->
    super(options)
    @item = options.item
    #@item = new Pettanr.OriginalPicture({id: options.item.get('id')}) # with resource_picture
    @load()
  
  load: () ->
    @item.fetch({cache: false}).done =>
      @visible = new Tag.Span({
        class_name: 'state',
        content: I18n.t('original_pictures.' + @item.state())
      })
      if ra = @item.get('resource_picture')
        resource_picture = new Pettanr.ResourcePicture(ra)
        @credit = resource_picture.credit_view(true)
        @listenTo(@credit, 'click:icon', @resource_picture_click)
      @trigger('ready')
  
  render: () ->
    this.$el.html('')
    this.$el.append(@visible.render().el)
    if @credit
      this.$el.append(@credit.render().el)
    rb = new Tag.RowBreak()
    this.$el.append(rb.render().el)
    this
  
  # in credit
  resource_picture_click: (resource_picture) ->
    @trigger('http_get', resource_picture.show_url())
  
