class Pettanr.Views.Picture.Credit extends Backbone.View
  tagName: 'div'
  className: 'credit'
  
  initialize: (options) ->
    @item = options.item
    @with_icon = options.with_icon
    @url = @item.url + '/credit'
    @listenTo(@item, 'ready', @render)
  
  render: () ->
    this.$el.html('')
    if @with_icon
      p = @item.credit_icon_view()
      @listenTo(p, 'click', @click)
      this.$el.append(p.render().el)
    this.$el.append(@item.credit)
    this.$el.append((new Tag.RowBreak()).render().el)
    this
  
  click: () ->
    @trigger('click:icon', @item)
  
