module Editor
  module EditorModule
    module DockModule
      class ElementBay < BoardBay
        def initialize parent, index, name
          super
          
          self.elements.each_with_index do |element, i| 
            tab = ElementBoard.new(self, i, element.item_name, element)
            add_tab tab, ElementBoardLabel.new(tab, element.item_name), 
              ElementBoardBody.new(tab)
          end
        end
        
        def elements
          self.root_item.scenario_elements
        end
        
      end
      
      module TabModule
        class ElementBayLabel < BayLabel
        end
        
        class ElementBayBody < BayBody
          def template_file_name
            'element'
          end
          
        end
        
      end
    end
  end
end
