module Peta
  module Editize
     def editor
      @editor
    end
    
    def editor=(e)
      @editor = e
    end
    
    def parent
      @parent
    end
    
    def parent=(i)
      @parent = i
    end
    
    def pool_id
      @pool_id
    end
    
    def pool_id=(i)
      @pool_id = i
    end
    
    def dom_id
       self.pool_id.to_s
    end
    
    def self.build attr
      pm = self.parent_model(@editor.name)
      if pm
        r = pm.__send__ "build_#{pm.child_element_name(item.item_name)}", attr
      end
      r
    end
    
    def dom_item_id name = nil
      r = [self.editor.eid, self.dom_pool_type, self.item_name, self.dom_id]
      r << name.to_s if name
      r.join '-'
    end
    
    def tag_attributes name = nil, opt = {}
      super.merge!({'id' => self.dom_item_id(name)})
    end
    
    def post_attribute_key
      if self.new_record?
        self.dom_pool_type
      else
        super
      end
    end
    
  end
  
end

