# -*- encoding: utf-8 -*-
FactoryGirl.define do
  factory :story_install, :class => Story do |i|
    i.title 'インストール'
    i.description 'ダウンロードからHello worldまで。'
    i.visible 1
    trait :with_story_sheets do
      after(:create) do |story, evaluator|
      create(:sheet_install_a, author: story.author)
        create(:story_sheet_plain, t: 0, story: story, sheet: create(:sheet_install_a_with_sheet_panels, author: story.author))
        create(:story_sheet_plain, t: 1, story: story, sheet: create(:sheet_install_b, author: story.author))
      end
    end
    factory :story_install_with_story_sheets, traits: [:with_story_sheets]
  end
  factory :story_setup, :class => Story do |i|
    i.title '管理者アカウントを準備する'
    i.description ''
    i.visible 1
    trait :with_story_sheets do
      after(:create) do |story, evaluator|
        create(:story_sheet_plain, t: 0, story: story, sheet: create(:sheet_setup_a, author: story.author))
        create(:story_sheet_plain, t: 1, story: story, sheet: create(:sheet_setup_b, author: story.author))
      end
    end
    factory :story_setup_with_story_sheets, traits: [:with_story_sheets]
  end
  factory :story003, :class => Story do |i|
    i.title 'キツネが憑いている'
    i.description ''
    i.t 
    i.visible 1
    i.author_id 1
  end
  factory :story004, :class => Story do |i|
    i.title '刑務所に隔離'
    i.description ''
    i.t 
    i.visible 1
    i.author_id 1
  end
  factory :story005, :class => Story do |i|
    i.title '海賊行為に精を出す守護大名'
    i.description ''
    i.t 
    i.visible 1
    i.author_id 1
  end
  factory :story006, :class => Story do |i|
    i.title 'プログラマとお金'
    i.description ''
    i.t 
    i.visible 0
    i.author_id 1
  end
  factory :story007, :class => Story do |i|
    i.title 'プログラマとお金(_完全版)'
    i.description ''
    i.t 
    i.visible 1
    i.author_id 1
  end
end
