class LocalManifest.ProfilerModule.List extends ManifestBase.NameValues
  
  set_default: () ->
    super()
    ManifestBase.alert_undefined_message "controller_name", this.module_message if not @json['controller_name']
    ManifestBase.alert_undefined_message "action_name", this.module_message if not @json['action_name']
    
  init: () ->
    super()
    @model_name = @json['controller_name']
    @list_name = @json['action_name']
  
  profiler_name: () ->
    @parent.item_name
  
  profiler_manifest: () ->
    @parent.manifest
