class Locmare.ProfilerModule.ColumnModule.ExtendModule.ExtendColumn extends Backbone.View
  tagName: 'div'
  className: 'extend_column'
  
  initialize: (options) ->
    @column = options.column  # extend_column
    @extend_column_name = options.extend_column_name
    @extend_column_manifest = options.extend_column_manifest
    c = @label_class()
    @label = new c({extend_column: this})
    c = @value_class()
    @value = new c({extend_column: this})
  
  render: () ->
    this.$el.html('')
    this.$el.append(@label.render().el)
    this.$el.append(@value.render().el)
    this
  
  label_class: () ->
    Locmare.ProfilerModule.ColumnModule.ExtendModule.Label
  
  value_class: () ->
    Locmare.ProfilerModule.ColumnModule.ExtendModule.Value
  
class Locmare.ProfilerModule.ColumnModule.ExtendModule.Label extends Backbone.View
  tagName: 'span'
  
  initialize: (options) ->
    @extend_column = options.extend_column
    @column = @extend_column.column
  
  render: () ->
    this.$el.html(@label())
    this
  
  label: () ->
    Pettanr.AppHelper.t_a(@column.extend_item().item_name(), @extend_column.extend_column_name)
  
class Locmare.ProfilerModule.ColumnModule.ExtendModule.Value extends Backbone.View
  tagName: 'span'
  
  initialize: (options) ->
    @extend_column = options.extend_column
    @column = @extend_column.column
  
  render: () ->
    this.$el.html(@value())
    this
  
  value: () ->
    @extend_item().escape(@extend_column.extend_column_name)
  
  extend_item: () ->
    @column.extend_item()
  
