class Pettanr.ResourcePicturePicture extends Peta.Item
  url: '/resource_picture_pictures/'
  
  @singular: () ->
    'ResourcePicturePicture'
  
  @plural: () ->
    'ResourcePicturePictures'
  
  defaults: {
    id: null
  } 
  
  picture: () ->
    new Pettanr.Picture({id: @get('picture_id')})
  
  is_visible: (operators = Pettanr.cache.operators) ->
    true
  
  symbol_option: () ->
    picture = @picture()
    picture.fetch({cache: true}).done =>
      @trigger('ready:symbol', picture.tmb_opt_img_tag())
  
  initialize: (attr = {}, options = {}) ->
    super(attr, options)
    if @id
      @url = @url + @id
  
