class OriginalPictureLicensesController < ApplicationController
  before_filter :authenticate_user, :only => [:new, :create]
  before_filter :authenticate_artist, :only => [:new, :create]
  
  def new
    # use @item, @original_picture, @form
    
    respond_to do |format|
      format.html
    end
  end
  
  def create
    @my_model_class = OriginalPictureLicense
    
    @item = @my_model_class.new
    @my_model_class.fold_extend_settings params[@my_model_class.item_name]
    @item.attributes = params[@my_model_class.item_name]
    @item.overwrite 
    @item.boosts 'post'
    @original_picture = OriginalPicture.show @item.original_picture, @operators
    
    if @item.valid?
      # switch my_model_class
      @item = OriginalPictureLicense.build_resource_picture @item, @original_picture, params[@my_model_class.item_name]
      respond_to do |format|
        format.html {
          render main_app.new_resource_picture_path
        }
        format.json { render json: @item.to_json, status: :created }
      end
    else
      respond_to do |format|
        format.html {
          @form = Locmare::Bucket.factory @item.item_name, 'default', @item, true, true, @operators
          render action: "new"
        }
        format.json {
          render json: @item.errors, status: :unprocessable_entity
        }
      end
    end
  end
end
