ManifestBase.require_modules "local_manifest/filer/caption/default/face/", 
  %w|face|

module LocalManifest
  module FilerModule
    module CaptionModule
      module DefaultModule
        class FaceFactory < ManifestBase::Factory
          include FaceModule
          
          def self.types
            {
              'column' => ColumnFace, 'method' => MethodFace, 'none' => NoneFace
            }
          end
          
          def self.default_type
            'column'
          end
          
        end
      end
    end
  end
end
