module Locmare
  module ListGroupModule
    class ThroughFilterList < FilterList
      attr :through
      
      def init
        @through = @list_manifest.through
        super
      end
      
      def include_hash
        {@through => {@filter_item_name => {}} }
      end
      
      def filter_list_where
        [@filter_table_name + '.id' + ' = ?', self.filter_id] 
      end
      
    end
    
  end
end
